#
# spec file for package spawn-fcgi
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           spawn-fcgi
Version:        1.6.4
Release:        1.32
Summary:        Spawn FastCGI applications independent of the webserver
License:        BSD-3-Clause
Group:          Productivity/Networking/Web/Servers
%define pkg_version %{version}
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#
Url:            http://redmine.lighttpd.net/projects/spawn-fcgi/
Source:         http://www.lighttpd.net/download/spawn-fcgi-%{version}.tar.bz2
#

%description
spawn-fcgi is used to spawn FastCGI applications independent of the webserver.

Authors:
---------
    Jan Kneschke
    Stefan Buehler

%prep
%setup

%build
%configure
make

%install
make install DESTDIR=%{buildroot}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/spawn-fcgi
%{_mandir}/man1/spawn-fcgi.1*

%changelog
* Thu Jan 22 2015 sfalken@opensuse.org
- Update to version 1.6.4:
  + Use octal mode for -M (patch by dfjoerg)
  + Add -b backlog option (fixes #2422, patch by aschmitz)
  + Restrict Unix socket file ownership by default to ug=rw
  + Add example apparmor spawn-fcgi abstraction
  + Use autoreconf instead of calling tools manually
  + Add more flags to extra-warning flags
  + Check return values of setuid, setgid, setgroups, initgroups, write
  + Check whether compiler supports wanted CFLAGS (fixes #2235)
  + Fix resource leaks in failure cases (found with coverity)
- Added:
  + spawn-fcgi-1.6.4.tar.bz2
  + spawn-fcgi_1.6.4.orig.tar.gz
  + spawn-fcgi_1.6.4-1.diff.gz
  + spawn-fcgi_1.6.4-1.dsc
- Dropped:
  + spawn-fcgi-1.6.3.tar.bz2
  + spawn-fcgi_1.6.3.orig.tar.gz
  + spawn-fcgi_1.6.3-1.1~backport1.diff.gz
  + spawn-fcgi_1.6.3-1.1~backport1.dsc
* Sat Feb 11 2012 coolo@suse.com
- patch license to be in spdx.org format
- small cleanup of spec file
* Thu Oct  8 2009 mrueckert@suse.de
- update to version 1.6.3
  - Fix unix socket mode change to work without specifying
    user/group for socket
  - Add some ./run script examples for use with daemontools or
    runit
  - Fix Invalid Argument in chmod if mode=-1 (fixes #2033)
  - Add deprecated and /bin/sh info for -f option; wrap syntax
    output (fixes #2044)
  - Add run script examples in automake dist build
* Mon Apr 20 2009 mrueckert@suse.de
- update to version 1.6.2
  - Add IPv6 support
  - Fix problems with usernames starting with a digit and
    non-existing uids; add warning if only user priveleges are
    dropped. (fixes #1959)
  - List IPv6 as feature after the version if it is supported
* Tue Mar 31 2009 mrueckert@suse.de
- update to version 1.6.1
  - Add build date to show-version
  - Added options to chown/chmod the socket and to create the
    socket
  - before chroot() (fixes #1906)
  - Updated man page
  - Add proper SUID bit detection
  - Added option to change the directory before spawning
    (fixes #1847)
* Mon Mar  9 2009 mrueckert@suse.de
- update to version 1.6.0
  - Man page update
  - Use header include order from 1.4.x
  - Fix segfault due to uninitialized var
* Thu Feb 26 2009 mrueckert@suse.de
- initial package of 1.6.0.rc1
